## org.eclipse.jst.jsf.core.tagmatcher
Class InvalidExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jst.jsf.core.tagmatcher.InvalidExpressionException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidExpressionException

extends java.lang.RuntimeException

Indicates an exception trapped while compiling or evaluating an expression.

Provisional API - subject to change

See Also:
  Serialized Form

Constructor Summary
`InvalidExpressionException()`
`InvalidExpressionException(java.lang.String message)`
`InvalidExpressionException(java.lang.String message, java.lang.Throwable cause)`
`InvalidExpressionException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidExpressionException

    public InvalidExpressionException()

See Also:
  `RuntimeException`

### InvalidExpressionException

    public InvalidExpressionException(java.lang.String message,
                                      java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### InvalidExpressionException

    public InvalidExpressionException(java.lang.String message)

Parameters:
  `message` -

### InvalidExpressionException

    public InvalidExpressionException(java.lang.Throwable cause)

Parameters:
  `cause` -